Subject: [bitcoin-dev] Humans constantly arguing about bsize proves that computers should decide

From: xor <[email-masked]>
Date: Sun, 16 Aug 2015 11:46:06 +0200

Hey folks,

so you've been stressed with arguing about what to do with the block size for 
months now :(

Why not realize that the unfruitful permanent need for administrators to tweak 
a magical, god-given (= Satoshi-given) constant is a *strong* indicator for 
something which should be delegated to a self-adjusting system instead?

    new_max_blocksize = some_averaging_function(previous_block_sizes);
    end_of_flamewar();
    continue_with_REAL_development();

Systems which do not require any human intervention are always more beautiful, 
and especially when trying to design a decentralized P2P network :)

Greetings,
	xor, a developer working for the Freenet anonymous P2P network